<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Gift cards</ion-title>
    <app-card-count
      slot="end"
      [routerLink]="['/menu/shopping-card']"
    ></app-card-count>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="ion-padding">
    <ion-grid>
      <ion-row>
        <ion-col size="3" offset="6">
          <ion-button
            color="medium"
            shape="round"
            size="small"
            expand="full"
            [ngClass]="{ 'active-value': currency === 'CAD' }"
            (click)="changeCardLocation('CAD')"
            >CAD</ion-button
          >
        </ion-col>
        <ion-col size="3">
          <ion-button
            color="medium"
            shape="round"
            size="small"
            expand="full"
            [ngClass]="{ 'active-value': currency === 'USD' }"
            (click)="changeCardLocation('USD')"
            >USD</ion-button
          >
        </ion-col>
      </ion-row>
    </ion-grid>
    <ng-container *ngIf="cards?.products?.length">
      <ng-container *ngFor="let item of cards.products">
        <app-card-item [item]="item" [currency]="currency"></app-card-item>
      </ng-container>
    </ng-container>
    <ng-container *ngIf="cards?.products?.length"> </ng-container>
  </div>
</ion-content>
